#pragma once

namespace Gos2 {

class ClassInfo : public GosClassInfo
{
private:
	static			ClassInfo *m_pAnchorClass;
	ClassInfo		*m_pNextClass;
	ClassInfo		*m_pPrevClass;
	_TCHAR *		m_pClassName;
					ClassInfo( _TCHAR *name );
public:
	static GosClassInfo *RegisterClass( _TCHAR *className );
};

} using namespace Gos2;